### Virtual Method

# Ide BuildTargetProvider get_targets_finish

#### Declaration

    GPtrArray*
    get_targets_finish (
      IdeBuildTargetProvider* self,
      GAsyncResult* result,
      GError** error
    )

#### Description

Completes a request to get the targets for the project.

See also: `ide_build_target_provider_get_targets_async()`

Available since: | 3.32

#### Parameters

`result` | `GAsyncResult`
| A `GAsyncResult` provided to the callback.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | An array of `None`
| The array of build targets or `NULL` upon failure and `error` is set.
| The caller of the function takes ownership of the data, and is responsible for freeing it.